package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class ProjectRole extends SHRBaseItem implements IProjectRole
{
    public ProjectRole()
    {
        super();
        registerInterface(IProjectRole.class, this);
    }
    public ProjectRole(Context ctx)
    {
        super(ctx);
        registerInterface(IProjectRole.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("2AC6A40E");
    }
    private ProjectRoleController getController() throws BOSException
    {
        return (ProjectRoleController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ProjectRoleInfo getProjectRoleInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectRoleInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ProjectRoleInfo getProjectRoleInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectRoleInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ProjectRoleInfo getProjectRoleInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectRoleInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ProjectRoleCollection getProjectRoleCollection() throws BOSException
    {
        try {
            return getController().getProjectRoleCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ProjectRoleCollection getProjectRoleCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getProjectRoleCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ProjectRoleCollection getProjectRoleCollection(String oql) throws BOSException
    {
        try {
            return getController().getProjectRoleCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}